Skip to Main Content

Leapp Upgrade From OL 7.9 to 8 Fails

User_KRZWQJan 7 2023

Wondering if any one has seen an issue similar to this.
After following the steps listed in the documentation https://docs.oracle.com/en/learn/ol-linux-leapp/index.html
I run

sudo leapp preupgrade --oraclelinux

I answer provide answers to the answer file as per the documentation, then run

sudo leapp upgrade --oraclelinux

This completes with no errors and states that a reboot is now required.
I then proceed to reboot, the upgrade process begins and runs for about 10 minutes, all seems fine, then all of a sudden I get this.
image.pngThen an emergency shell is spawned. This has happened multiple time and always fails at "Running scriptlet: selinux-policy-targeted-3.14.3-108.02.el8.noarch"
with "actor dnf_upgrade_transaction unexpectedly terminated with exit code: 1"
I can confirm that selinux is set to "permissive" prior to running the upgrade and type is set to targeted.
If I reboot from the emergency shell the system does boot into Oracle Linux 8 but yum and dnf are completely unusable and appear to be the EL7 versions that use python2.7, attempting to install dnf manually using rpm is dependency hell.
I have also thoroughly read https://docs.oracle.com/en/operating-systems/oracle-linux/8/leapp/OL8-LEAPP.pdf and cannot find any reason as to why this is happening.
Any assistance would be greatly appreciated!

Comments
Post Details
Added on Jan 7 2023
2 comments
25 views